routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index');

Auth::routes();

Route::group(['prefix' => 'requester'], function () {
    Route::get('tickets/{token}', 'RequesterTicketsController@show')->name('requester.tickets.show');
    Route::post('tickets/{token}/comments', 'RequesterCommentsController@store')->name('requester.comments.store');
    Route::get('tickets/{token}/rate', 'RequesterTicketsController@rate')->name('requester.tickets.rate');
});

Route::post('webhook/bitbucket', 'WebhookController@store');

Route::group(['middleware' => ['auth', 'userLocale']], function () {
    Route::get('profile', 'ProfileController@show')->name('profile.show');
    Route::put('profile', 'ProfileController@update')->name('profile.update');
    Route::post('password', 'ProfileController@password')->name('profile.password');

    Route::get('tickets/merge', 'TicketsMergeController@index')->name('tickets.merge.index');
    //Route::post('tickets/merge', 'TicketsMergeController@store')->name('tickets.merge.store');
    Route::get('tickets/search/{text}', 'TicketsSearchController@index')->name('tickets.search');
    Route::resource('tickets', 'TicketsController', ['except' => ['edit', 'destroy']]);
    Route::post('tickets/{ticket}/assign', 'TicketsAssignController@store')->name('tickets.assign');
    Route::post('tickets/{ticket}/comments', 'CommentsController@store')->name('comments.store');
    Route::resource('tickets/{ticket}/tags', 'TicketsTagsController', ['only' => ['store', 'destroy'], 'as' => 'tickets']);
    Route::post('tickets/{ticket}/reopen', 'TicketsController@reopen')->name('tickets.reopen');

    Route::post('tickets/{ticket}/escalate', 'TicketsEscalateController@store')->name('tickets.escalate.store');
    Route::delete('tickets/{ticket}/escalate', 'TicketsEscalateController@destroy')->name('tickets.escalate.destroy');

    Route::post('tickets/{ticket}/issue', 'TicketsIssueController@store')->name('tickets.issue.store');
    Route::post('tickets/{ticket}/idea', 'TicketsIdeaController@store')->name('tickets.idea.store');

    Route::resource('leads', 'LeadsController');
    Route::get('leads/search/{text}', 'LeadsSearchController@index')->name('leads.search');
    Route::post('leads/{lead}/assign', 'LeadAssignController@store')->name('leads.assign');
    Route::post('leads/{lead}/status', 'LeadStatusController@store')->name('leads.status.store');
    Route::resource('leads/{lead}/tags', 'LeadTagsController', ['only' => ['store', 'destroy'], 'as' => 'leads']);
    Route::resource('leads/{lead}/tasks', 'LeadTasksController', ['only' => ['index', 'store', 'update', 'destroy'], 'as' => 'leads']);

    Route::resource('tasks', 'TasksController', ['only' => ['index', 'update', 'destroy']]);

    Route::resource('teams', 'TeamsController');
    Route::get('teams/{team}/agents', 'TeamAgentsController@index')->name('teams.agents');
    Route::get('teams/{token}/join', 'TeamMembershipController@index')->name('membership.index');
    Route::post('teams/{token}/join', 'TeamMembershipController@store')->name('membership.store');

    Route::group(['middleware' => 'can:see-admin'], function () {
        Route::resource('ideas', 'IdeasController');
        Route::get('roadmap', 'RoadmapController@index')->name('roadmap.index');
        Route::resource('ideas/{idea}/tags', 'IdeaTagsController', ['only' => ['store', 'destroy'], 'as' => 'ideas']);
        Route::post('ideas/{idea}/issue', 'IdeaIssueController@store')->name('ideas.issue.store');

        Route::resource('users', 'UsersController', ['only' => ['index', 'destroy']]);
        Route::get('users/{user}/impersonate', 'UsersController@impersonate')->name('users.impersonate');
        Route::resource('settings', 'SettingsController', ['only' => ['edit', 'update']]);
    });

    Route::get('reports', 'ReportsController@index')->name('reports.index');
});

app/Task.php
<?php

namespace App;

use Carbon\Carbon;

class Task extends BaseModel
{
    protected $dates = ['datetime'];

    public function lead()
    {
        return $this->belongsTo(Lead::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /*public function scopeToday($query){
        return $query->where('completed',false)->whereBetween('datetime',[Carbon::today(), Carbon::tomorrow()]);
    }*/
}

app/Http/Controllers/TasksController.php
<?php

namespace App\Http\Controllers;

use App\Task;

class TasksController extends Controller
{
    public function index()
    {
        $tasks = auth()->user()->uncompletedTasks->groupBy(function ($task) {
            return ($task->datetime) ? $task->datetime->toDateString() : 1;
        });

        return view('tasks.index', ['tasks' => $tasks]);
    }

    public function destroy(Task $task)
    {
        $task->delete();

        return back();
    }

    public function update(Task $task)
    {
        $task->update([
           'completed' => request('completed'),
        ]);

        return back();
    }
}

resources/views/tasks/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="description">
        <h3>
            {{ __('lead.todayTasks')}} ( {{ $tasks->count() }} )
        </h3>
    </div>

    @paginator($tasks)

    <table class="striped">
        <thead>
        <tr>
            <td class="small"></td>
            <th> {{ trans_choice('lead.lead',1) }}</th>
            <th> {{ trans_choice('lead.task',1) }}</th>
            <th> {{ trans_choice('ticket.assigned',1) }}</th>
            <th> {{ trans_choice('lead.due',1) }}</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        @foreach( $tasks as $date => $days )
            <tr> <td colspan="5" class="bg-white mt4"> @if($date != 1) {{ $date }} @endif </td> </tr>
            @foreach( $days as $task )
            <tr>
                <td> @gravatar($task->lead->email) </td>
                <td><a href="{{route('leads.show',$task->lead)}}">{{ $task->lead->name }}</a></td>
                <td class="@if($task->completed) strike-trough @endif">{{ $task->body }}</td>
                <td>{{ $task->user->name }}</td>
                <td>{{ $task->datetime ? $task->datetime->toDateString() : ""}}</td>
                <td>
                    @if( ! $task->completed)
                        {{ Form::open(["url" => route('tasks.update', $task), 'method' => "PUT"]) }}
                        <input type="hidden" name="completed" value="1">
                        <button class="uppercase"> {{ __('lead.complete') }}</button>
                        {{ Form::close() }}
                    @endif
                </td>
            </tr>
        @endforeach
        @endforeach
        </tbody>
    </table>
    @paginator($tasks)
@endsection